MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000097VCMIGUI - Battlespublic2009-10-04 12:262013-06-08 05:28
ReporterTow dragon 
Assigned ToTow 
PrioritynormalSeveritytextReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.73 
Target VersionFixed in Version0.9 
Summary0000097: No message about preventing spell casting during battle if you use "Orb of Inhibition"
Description0.73#63 - No message about preventing spell casting during battle if you use "Orb of Inhibition"
Additional InformationOriginally reported here: http://forum.vcmi.eu/viewtopic.php?p=3288#3288 [^]
TagsNo tags attached.
Attached Filesjpg file icon 2011-03-03_OrbOfInhibition.jpg [^] (36,131 bytes) 2011-03-03 14:15

- Relationships
related to 0001305resolvedAVS Wrong hero name + missing artifact name + possible crashes if trying to cast with Orb of Inhibition equipped 

-  Notes
(0001529)
Tow dragon (viewer)
2011-02-21 13:30

fixed in rev 1980
(0001605)
Zamolxis (viewer)
2011-03-03 14:20

Actually the fix applied is not according to H3 behavior: we are still allowed to open the spell book, and if we try to cast, we get a message saying the spell didn't have effect (as if we are dealing with spell immunity).

In fact, the Orb of Inhibition blocks the ability to cast (rather than granting immunity). In H3 we can't even open the spell book. If we click on it, we get the message in the screenshot I just attached (and same if we press C or click on the hero).
(0002925)
Tow (developer)
2012-08-26 09:14

Fixed in r2843.
(0003670)
Zamolxis (viewer)
2013-06-08 05:27

Checked in 0.92 and confirmed as fixed.

(in 0.93 it leads to a crash, but it's unrelated to the original feature implementation; 0001305 opened for that)

- Issue History
Date Modified Username Field Change
2009-10-04 12:26 Tow dragon New Issue
2009-10-18 23:07 Zamolxis Description Updated View Revisions
2010-05-29 21:22 Zamolxis Product Version => 0.73
2011-02-21 13:30 Tow dragon Note Added: 0001529
2011-02-21 13:30 Tow dragon Status assigned => resolved
2011-02-21 13:30 Tow dragon Fixed in Version => 0.89
2011-02-21 13:30 Tow dragon Resolution open => fixed
2011-03-03 14:15 Zamolxis File Added: 2011-03-03_OrbOfInhibition.jpg
2011-03-03 14:20 Zamolxis Note Added: 0001605
2011-03-03 14:20 Zamolxis Status resolved => feedback
2011-03-03 14:20 Zamolxis Resolution fixed => reopened
2011-08-31 22:23 Zamolxis Priority low => normal
2012-08-26 09:14 Tow Note Added: 0002925
2012-08-26 09:14 Tow Status feedback => resolved
2012-08-26 09:14 Tow Fixed in Version 0.84 => 0.9
2012-08-26 09:14 Tow Resolution reopened => fixed
2012-08-26 09:14 Tow Assigned To Tow dragon => Tow
2013-06-08 05:23 Zamolxis Issue cloned: 0001305
2013-06-08 05:23 Zamolxis Relationship added related to 0001305
2013-06-08 05:27 Zamolxis Note Added: 0003670
2013-06-08 05:28 Zamolxis Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2020 MantisBT Team
Hosting provided by DigitalOcean